# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo

Packages that use FieldFragList.WeightedFragInfo
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldFragList.WeightedFragInfo in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return types with arguments of type FieldFragList.WeightedFragInfo
  Modifier and Type
  Method
  Description
  `protected List<FieldFragList.WeightedFragInfo>`
  BaseFragmentsBuilder.`discreteMultiValueHighlighting(List<FieldFragList.WeightedFragInfo> fragInfos, Field[] fields)`
  `List<FieldFragList.WeightedFragInfo>`
  FieldFragList.`getFragInfos()`
  return the list of WeightedFragInfos.
  `abstract List<FieldFragList.WeightedFragInfo>`
  BaseFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  `List<FieldFragList.WeightedFragInfo>`
  ScoreOrderFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  Sort by score the list of WeightedFragInfo
  `List<FieldFragList.WeightedFragInfo>`
  SimpleFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  do nothing.
  Methods in org.apache.lucene.search.vectorhighlight with parameters of type FieldFragList.WeightedFragInfo
  Modifier and Type
  Method
  Description
  `int`
  ScoreOrderFragmentsBuilder.ScoreComparator.`compare(FieldFragList.WeightedFragInfo o1, FieldFragList.WeightedFragInfo o2)`
  `protected String`
  BaseFragmentsBuilder.`makeFragment(StringBuilder buffer, int[] index, Field[] values, FieldFragList.WeightedFragInfo fragInfo, String[] preTags, String[] postTags, Encoder encoder)`
  Method parameters in org.apache.lucene.search.vectorhighlight with type arguments of type FieldFragList.WeightedFragInfo
  Modifier and Type
  Method
  Description
  `protected List<FieldFragList.WeightedFragInfo>`
  BaseFragmentsBuilder.`discreteMultiValueHighlighting(List<FieldFragList.WeightedFragInfo> fragInfos, Field[] fields)`
  `abstract List<FieldFragList.WeightedFragInfo>`
  BaseFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  `List<FieldFragList.WeightedFragInfo>`
  ScoreOrderFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  Sort by score the list of WeightedFragInfo
  `List<FieldFragList.WeightedFragInfo>`
  SimpleFragmentsBuilder.`getWeightedFragInfoList(List<FieldFragList.WeightedFragInfo> src)`
  do nothing.